Skip to navigation

Get revision data.

View as Markdown

Retrieve revision details using a revision id. Supported for clusters v2.21+.

Authentication

AuthorizationBearer
Bearer authentication

Path parameters

revisionIdstringRequiredformat: "uuid"

The Universally Unique Identifier (UUID) of the revision.

Response

Executed successfully.
typestring
namestring
idstringformat: "uuid"
workloadIdstringformat: "uuid"
tenantIdinteger
The id of the tenant.
clusterIdstringformat: "uuid"
The id of the cluster.
projectIdstringformat: ".*"
The id of the project.
departmentIdstringformat: ".*">=1 character
The id of the department.
createdAtdatetime
phaseenum
deletedAtdatetime or nullOptional
revisionRequestedResourcesobjectOptional
podsRequestedResourcesobjectOptional
requestedPodsobjectOptional
requestedNodePoolslist of stringsOptional
allocatedResourcesobjectOptional
currentNodePoolslist of stringsOptional
runningPodsintegerOptional
imageslist of stringsOptional
environmentVariablesmap from strings to stringsOptional
commandstringOptional
argumentsstringOptional
conditionslist of objectsOptional
phaseMessagestringOptional
phaseUpdatedAtdatetimeOptional
additionalFieldsmap from strings to anyOptional

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error